https://api.nexscope.ai/st/amazon/productDetailRun this API
Send a JSON request to execute this API and receive the documented response payload.
Endpoint
| Method | POST |
| Path | https://api.nexscope.ai/st/amazon/productDetail |
| Auth | Bearer API key |
| Content-Type | application/json |
Request parameters
| Name | Type | Required | Description |
|---|---|---|---|
asin | string | required | Amazon Standard Identification Number; multiple ASINs separated by commas, up to 10, for example, `B0088PUEPK,B00U26V4VQ`. |
marketplace | string | required | Amazon site codes: `us`, `gb`, `de`, `fr`, `in`, `ca`, `jp`, `es`, `it`, `mx`, `ae`, `au`, `br`, `sa`. UK uses `gb`. |
includeTrend | integer | optional | Whether trend data is included: `1` does, `2` does not. By default, the trend of the last 15 days is returned. Example: 1 |
queryTrendStartDate | string | optional | Trend start date, format `yyyy-MM-dd`. |
queryTrendEndDate | string | optional | Trend expiration date, format `yyyy-MM-dd`. When specifying a query range exceeding 15 days, the deduction will be doubled. |
Code example
{
"asin": "B00FLYWNYQ",
"marketplace": "us"
}Response example
Platform response envelope. code 0 indicates success or acceptance; data contains the business result.
{
"code": 0,
"cost": "-1",
"data": {},
"msg": null,
"time": "2026-01-01 00:00:00",
"traceId": null,
"ts": "0"
}Response fields
Response field reference (74 fields)
| Name | Type | Required | Description |
|---|---|---|---|
code | integer | optional | Response code, `200` indicates success. |
msg | string | optional | Respond to the message. |
total | integer | optional | Total number of results. |
costTime | integer | optional | Time taken, unit ms. |
costToken | integer | optional | The number of tokens consumed. |
requestConsumed | integer | optional | The number of requests consumed. |
sourceType | string | optional | Source type, value is `st`. |
type | string | optional | Rendering style. |
columns | array | optional | Render the column. |
products | array | optional | Product details list; element fields are shown in the table below. |
asin | string | optional | ASIN。 |
title | string | optional | Product title. |
brand | string | optional | brand. |
asinUrl | string | optional | Amazon Listing detail page URL. |
imageUrl | string | optional | Main image URL. |
productImageUrls | array | optional | All product image URLs. |
ebcPhoto | array | optional | A+ picture list. |
storeName | string | optional | Store name. |
description | string | optional | Five points of description. |
productBadge | array | optional | Product logos such as Amazon Choice, Best Seller, New Release. |
lastUpdate | string | optional | ASIN data latest collection time, format `yyyy-MM-dd`. |
offSale | boolean | optional | Whether to remove it from the shelves, `true` indicates that it is not for sale. |
productType | string | optional | Amazon product category node name. |
weight | string | optional | Weight, unit g. |
size | array | optional | Outer packaging dimensions `[longest side, second longest side, shortest side]`, unit cm. |
parentAsin | string | optional | Parent ASIN; `null` if no child. |
variationNum | integer | optional | Number of variants. |
variationASIN | array | optional | List of descendant ASINs. |
attribute | array | optional | Child property; element contains `asin`, `name`, `value`. |
price | number | optional | Actual selling price after deducting coupons, in local currency. |
coupon | integer | optional | Coupon policy; non-negative value is the discount amount (such as `500` means $5), negative value is the discount percentage (such as `-10` means 10% discount). |
platformFee | number | optional | Platform commission, in local currency. |
fbaFees | number | optional | FBA fees in local currency. |
fbaDetail | array | optional | FBA details; the first item is the delivery fee, followed by the monthly storage fee. |
shipCost | number | optional | FBM delivery fee in local currency. |
shipsFrom | string | optional | Shipping party. |
profitAmount | number | optional | Profit, calculated as received price - FBA fee - commission, in local currency. |
profitRate | number | optional | Profit margin, for example `25.83` means 25.83%. |
monthlySalesUnits | integer | optional | The official monthly sales volume of ASIN announced by Amazon is the latest value for the past 7 calendar days. If there is no data, it is 0. |
salesRank | integer | optional | BSR category rankings. |
category | array | optional | Category `[category name, NodeId]`. |
bsrCategory | array | optional | Small category ranking list, elements include `nodeId`, `name`, `rank`, `date` (`yyyyMMdd`). |
availableDate | string | optional | Shelf time, format `yyyy-MM-dd`. |
onlineDays | integer | optional | Number of days on shelf. |
rating | number | optional | Current rating, range 0.0-5.0. |
ratings | integer | optional | Number of ratings. |
fiveStarRatings | number | optional | 5 star ratio, unit is percentage. |
fourStarRatings | number | optional | 4 star ratio, unit is percentage. |
threeStarRatings | number | optional | 3 star ratio, unit is percentage. |
twoStarRatings | number | optional | 2 Star ratio, unit is percentage. |
oneStarRatings | number | optional | 1 star ratio, unit is percentage. |
buyboxSeller | string | optional | Buybox seller name. |
buyBoxSellerId | string | optional | Buybox seller ID. |
buyboxSellerAddress | string | optional | The two-digit code of the country/region where the Buybox seller is located; when Amazon is self-operated, it is `null`. |
isFBA | boolean | optional | Do Buybox sellers use FBA. |
sellerNum | integer | optional | Number of sellers. |
aPlus | boolean | optional | A+ or not. |
hasVideo | boolean | optional | Is there a video. |
hasBrandStore | boolean | optional | Is there a brand store? |
feature | object | optional | Product characteristics and corresponding star ratings. |
productInfo | object | optional | Listing Central Product Information structured data. |
property | object | optional | Property list and description above Bullet Points. |
brandPromotion | string | optional | Brand promotion. |
dealType | string | optional | Deal tag. |
extraSavings | array | optional | Affiliate Promotions. |
rankTrend | array | optional | BSR category ranking trends, staggered format `[date, ranking, ...]`. |
bsrRankTrend | array | optional | Small category ranking trend, format `[{NodeId: xxx, Rank: [date, ranking, ...]}]`. |
listingSalesVolumeOfDailyTrend | array | optional | Daily sales trend; `-1` cannot be estimated. |
listingSalesOfDailyTrend | array | optional | Daily sales trend, the unit is the smallest unit of local currency; `-1` means it cannot be estimated. |
listingSalesVolumeOfMonthTrend | array | optional | Monthly sales trend in the past 30 days; `-1` said it cannot be predicted. |
listingSalesOfMonthTrend | array | optional | Monthly sales trends in the smallest unit of local currency. |
priceTrend | array | optional | Selling price trend, before coupons are deducted, the unit is the smallest unit of local currency; `-1` means that there is no available price on that day. |
listPriceTrend | array | optional | Underline the original price history, the unit is the smallest unit of local currency; `-1` means there is no available price on that day. |
dealTrend | array | optional | Deal trend, `1` means there is a deal, `0` means there is no deal. |
Responses
| Code | Description |
|---|---|
| 200 | HTTP request completed. Check JSON code; only 0 indicates business success or acceptance. |
| 400 | Request JSON or required API parameters are invalid. |
| 401 | API key is missing, invalid, or cannot be matched to a user. |
| 5xx | API execution or upstream service failed. |
Data source, freshness, and limitations
Source, freshness, coverage, rate limits, and estimation notes are not specified in this API definition unless they appear in the request or response field documentation above. Do not assume official marketplace data or real-time freshness when it is not explicitly documented.